# eric3.DocumentationTools.EricdocConfigDialog

Module implementing a dialog to enter the parameters for eric3-doc.

### Classes

EricdocConfigDialog | Class implementing a dialog to enter the parameters for eric3-doc.

### Functions

None

## EricdocConfigDialog

Class implementing a dialog to enter the parameters for eric3-doc.

### Derived from

EricdocConfigForm

### Methods

EricdocConfigDialog | Constructor
accept | Protected slot called by the Ok button.
generateParameters | Public method that generates the commandline parameters.
handleCSSFile | Private slot to select a css style sheet.
handleIgnoreDir | Private slot to select a directory to be ignored.
handleIgnoreDirAdd | Private slot to add the directory displayed to the listview.
handleIgnoreDirDelete | Private slot to delete the currently selected directory of the listbox.
handleOutputDir | Private slot to select the output directory.
initializeDefaults | Private method to set the default values.

### EricdocConfigDialog (Constructor)

EricdocConfigDialog(ppath, parms = None, parent = None)

Constructor

ppath
  project path of the current project (string)
parms
  parameters to set in the dialog
parent
  parent widget of this dialog

### EricdocConfigDialog.accept

accept()

Protected slot called by the Ok button. It saves the values in the parameters dictionary.

### EricdocConfigDialog.generateParameters

generateParameters()

Public method that generates the commandline parameters. It generates a QStringList to be used to set the QProcess arguments for the ericdoc call and a list containing the non default parameters. The second list can be passed back upon object generation to overwrite the default settings.

Returns:
  a tuple of the commandline parameters and non default parameters (QStringList, dictionary)

### EricdocConfigDialog.handleCSSFile

handleCSSFile()

Private slot to select a css style sheet.

### EricdocConfigDialog.handleIgnoreDir

handleIgnoreDir()

Private slot to select a directory to be ignored. It displays a directory selection dialog to select a directory to be ignored.

### EricdocConfigDialog.handleIgnoreDirAdd

handleIgnoreDirAdd()

Private slot to add the directory displayed to the listview. The directory in the ignore directories line edit is moved to the listbox above and the edit is cleared.

### EricdocConfigDialog.handleIgnoreDirDelete

handleIgnoreDirDelete()

Private slot to delete the currently selected directory of the listbox.

### EricdocConfigDialog.handleOutputDir

handleOutputDir()

Private slot to select the output directory. It displays a directory selection dialog to select the directory the documentations is written to.

### EricdocConfigDialog.initializeDefaults

initializeDefaults()

Private method to set the default values. These are needed later on to generate the commandline parameters.

Up